CREATE TABLE fa_deprn_detail_h_26643803 (
    DISTRIBUTION_ID                  NUMBER(18, 0)    NOT NULL,
    ASSET_ID                         NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE                   VARCHAR2(120)    NOT NULL,
    PERIOD_COUNTER                   NUMBER(18, 0)    NOT NULL,
    DEPRN_RUN_ID                     NUMBER(18, 0)    NOT NULL,
    DEPRN_SOURCE_CODE                VARCHAR2(4)  ,
    DEPRN_RUN_DATE                   DATE         ,
    DEPRN_AMOUNT                     NUMBER       ,
    YTD_DEPRN                        NUMBER       ,
    DEPRN_RESERVE                    NUMBER       ,
    ADDITION_COST_TO_CLEAR           NUMBER       ,
    COST                             NUMBER       ,
    DEPRN_ADJUSTMENT_AMOUNT          NUMBER       ,
    REVAL_AMORTIZATION               NUMBER       ,
    REVAL_DEPRN_EXPENSE              NUMBER       ,
    REVAL_RESERVE                    NUMBER       ,
    YTD_REVAL_DEPRN_EXPENSE          NUMBER       ,
    BONUS_DEPRN_AMOUNT               NUMBER       ,
    BONUS_YTD_DEPRN                  NUMBER       ,
    BONUS_DEPRN_RESERVE              NUMBER       ,
    BONUS_DEPRN_ADJUSTMENT_AMOUNT    NUMBER       ,
    EVENT_ID                         NUMBER(18, 0),
    REVERSAL_EVENT_ID                NUMBER(18, 0),
    REVERSAL_DATE                    DATE         ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    GENERAL_FUND                     NUMBER       ,
    CAPITAL_ADJUSTMENT               NUMBER       ,
    IMPAIRMENT_RESERVE               NUMBER       ,
    YTD_IMPAIRMENT                   NUMBER       ,
    IMPAIRMENT_AMOUNT                NUMBER       ,
    ACCELERATED_DEPRN_AMOUNT         NUMBER       ,
    ACCELERATED_DEPRN_RESERVE        NUMBER       ,
    ACCELERATED_YTD_DEPRN            NUMBER       ,
    ACC_DEPRN_ADJUSTMENT_AMOUNT      NUMBER       ,
    PROCESS_FLAG                     CHAR(4)      ,
    ROW_ID                           ROWID        ,
    DISTRIBUTION_ID                  NUMBER(18, 0)    NOT NULL,
    ASSET_ID                         NUMBER(18, 0)    NOT NULL,
    BOOK_TYPE_CODE                   VARCHAR2(120)    NOT NULL,
    PERIOD_COUNTER                   NUMBER(18, 0)    NOT NULL,
    DEPRN_RUN_ID                     NUMBER(18, 0)    NOT NULL,
    DEPRN_SOURCE_CODE                VARCHAR2(4)  ,
    DEPRN_RUN_DATE                   DATE         ,
    DEPRN_AMOUNT                     NUMBER       ,
    YTD_DEPRN                        NUMBER       ,
    DEPRN_RESERVE                    NUMBER       ,
    ADDITION_COST_TO_CLEAR           NUMBER       ,
    COST                             NUMBER       ,
    DEPRN_ADJUSTMENT_AMOUNT          NUMBER       ,
    REVAL_AMORTIZATION               NUMBER       ,
    REVAL_DEPRN_EXPENSE              NUMBER       ,
    REVAL_RESERVE                    NUMBER       ,
    YTD_REVAL_DEPRN_EXPENSE          NUMBER       ,
    BONUS_DEPRN_AMOUNT               NUMBER       ,
    BONUS_YTD_DEPRN                  NUMBER       ,
    BONUS_DEPRN_RESERVE              NUMBER       ,
    BONUS_DEPRN_ADJUSTMENT_AMOUNT    NUMBER       ,
    EVENT_ID                         NUMBER(18, 0),
    REVERSAL_EVENT_ID                NUMBER(18, 0),
    REVERSAL_DATE                    DATE         ,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)     NOT NULL,
    GENERAL_FUND                     NUMBER       ,
    CAPITAL_ADJUSTMENT               NUMBER       ,
    IMPAIRMENT_RESERVE               NUMBER       ,
    YTD_IMPAIRMENT                   NUMBER       ,
    IMPAIRMENT_AMOUNT                NUMBER       ,
    ACCELERATED_DEPRN_AMOUNT         NUMBER       ,
    ACCELERATED_DEPRN_RESERVE        NUMBER       ,
    ACCELERATED_YTD_DEPRN            NUMBER       ,
    ACC_DEPRN_ADJUSTMENT_AMOUNT      NUMBER       ,
    PROCESS_FLAG                     CHAR(4)      ,
    ROW_ID                           ROWID        
);
